

#ifndef  __SEVENSEGMENTS_H__
#define  __SEVENSEGMENTS_H__


#include <stdint.h>
#include "Task.H"


extern "C++" {
    namespace avelino {
        class SevenSegments : public Task {
            protected:
                static const uint8_t NUMBER_MASKS[10];
                static const uint8_t LETTER_MASKS[10];
                uint8_t currentMask;
            public:
                SevenSegments() : currentMask(0) { this->setValue(' '); };
                void init();
                void setValue(char v);
                void setValue(uint32_t v);
                virtual void run();
                virtual void gpioConfigure() const = 0;
                virtual void gpioWrite(uint8_t mask) const = 0;
        };
    };
}


#endif  // __SEVENSEGMENTS_H__
