

#ifndef  __MYSTEPPER_H__
#define  __MYSTEPPER_H__


#include "Stepper.H"


/*
 * 1  A5
 * 2  A6
 * 3  A7
 * 4  B0
 */
extern "C++" {
    namespace avelino {
        using namespace std;

        class MyStepper : public Stepper {
            public:
                virtual void gpioConfigure() const;
                virtual void gpioWrite(uint32_t mask) const;
                virtual uint32_t getNextMask(uint32_t prevMask, Wise wise) const;
                virtual const uint32_t getStepsPerRevolution() const;
                virtual const uint32_t getTicksPerPulse() const;
        };
    }
}


#endif  // __MYSTEPPER_H__
