

#include <iostream>
#include "vt.H"
#include "MySevenSegments.H"


using namespace avelino;
using namespace std;


void MySevenSegments::gpioConfigure() const {
}


void MySevenSegments::gpioWrite(uint8_t mask) const {
    vtSaveCursor();
    bool a = (mask & 0x01);
    bool b = (mask & 0x02);
    bool c = (mask & 0x04);
    bool d = (mask & 0x08);
    bool e = (mask & 0x10);
    bool f = (mask & 0x20);
    bool g = (mask & 0x40);
    vtGotoXY(1, 1);
    // primera línea
    if (a)
        cout << " ---- ";
    else
        cout << "      ";
    cout << endl;
    // segunda y tercera líneas
    for (int i = 0; i < 2; i++) {
        if (f)
            cout << "|";
        else
            cout << " ";
        cout << "    ";
        if (b)
            cout << "|";
        else
            cout << " ";
        cout << endl;
    }
    // cuarta línea
    if (g)
        cout << " ---- ";
    else
        cout << "      ";
    cout << endl;
    // quinta y sexta líneas
    for (int i = 0; i < 2; i++) {
        if (e)
            cout << "|";
        else
            cout << " ";
        cout << "    ";
        if (c)
            cout << "|";
        else
            cout << " ";
        cout << endl;
    }
    // séptima línea
    if (d)
        cout << " ---- ";
    else
        cout << "      ";
    cout << endl;
    vtRestoreCursor();
}

