

#include "Keypad.H"


using namespace std;
using namespace avelino;


void Keypad::run() {
    Status localStatus = this->status;
    do {
        this->status = localStatus;
        if (localStatus == Status::IDLE) {
            uint8_t m = this->getGpioMask();
            if (m > this->keyMask) {    // simple way to check if "m" has more 1s than "this->prevKeys"
                this->keyMask = m;
                this->timer = this->getTicksAfterChange();
                localStatus = Status::WAIT_AFTER_CHANGE;
            }
            else
                this->keyMask = m;
        }
        else if (localStatus == Status::WAIT_AFTER_CHANGE) {
            this->timer--;
            if (this->timer == 0)
                localStatus = Status::IDLE;
        }
    } while (localStatus != this->status);
}

