

#ifndef  __MYKEYPAD_H__
#define  __MYKEYPAD_H__


#include "Keypad.H"


/*
 * Config button: /B12
 * Dec button:    /B13
 * Inc button:    /B14
 */

extern "C++" {
    namespace avelino {
        using namespace std;

        class MyKeypad : public Keypad {
            public:
                virtual void gpioConfigure() const;
                virtual uint8_t getGpioMask() const;
                virtual const uint32_t getTicksAfterChange() const;
        };
    }
}


#endif  // __MYKEYPAD_H__
