

#ifndef  __MYSEVENSEGMENTS_H__
#define  __MYSEVENSEGMENTS_H__


#include "SevenSegments.H"


/*
 * a  A4
 * b  A3
 * c  B6
 * d  B7
 * e  B8
 * f  C15
 * g  C14
 */
extern "C++" {
    namespace avelino {
        using namespace std;

        class MySevenSegments : public SevenSegments {
            public:
                virtual void gpioConfigure() const;
                virtual void gpioWrite(uint8_t mask) const;
        };
    }
}


#endif  // __MYSEVENSEGMENTS_H__
